title = {}

function title:init()
waiting = 0
title.step = 0
title.opac = 0
title.logo = {}
title.logo[1] = love.graphics.newImage("gfx/misc/redeye.png")
return self
end

function title:update(dt)
if (title.step == 0) then
if (waiting < 20) then
waiting = waiting + 100*dt
else
title.step = 1
waiting = 0
end
end
if (title.step == 1) then
	if (math.floor(title.opac) < 255) then
	title.opac = title.opac + 200*dt
	else
	title.step = 2
	end
end
if (title.step == 2) then
	if math.floor(waiting) < 20 then
		waiting = waiting + 200*dt
	else
		title.step = 3
	end
end
if (title.step == 3) then
	if (math.floor(title.opac) > 0) then
		title.opac = title.opac - 100*dt
	else
	title.logo[2] = love.graphics.newImage("gfx/misc/titlescreen.png")
	title.step = 4
	end
	end
if (title.step == 4) then
	if (math.floor(title.opac) < 255) then
	title.opac = title.opac + 100*dt
	else
	love.graphics.setFont(tempesta)
	title.cursortimer = 2
	title.cursor = 1
	snd = {}
	snd.beep = love.audio.newSource("snd/beep1.wav", "static")
	snd.confirm = love.audio.newSource("snd/beep6.wav", "static")
	snd.beep:setLooping(false)
	snd.confirm:setLooping(false)
	title.step = 5
	end

end
if (title.step == 5) then
if title.cursortimer > 0 then
title.cursortimer = title.cursortimer - 10*dt
else
	if love.keyboard.isDown("s") or love.keyboard.isDown("down") then
		snd.beep:stop()
		snd.beep:play()
		title.cursortimer = 2
		if title.cursor < 4 then title.cursor = title.cursor + 1 else title.cursor = 1 end
	elseif love.keyboard.isDown("w") or love.keyboard.isDown("up") then 
		snd.beep:stop()
		snd.beep:play()
		title.cursortimer = 2
		if title.cursor > 1 then title.cursor = title.cursor - 1 else title.cursor = 4 end
	elseif love.keyboard.isDown("l") then
		snd.confirm:stop()
		snd.confirm:play()
		title.step = 6
	end
end
end
if title.step == 6 then
	if math.floor(title.opac) > 0 then
	title.opac = title.opac - 100*dt
	else
	if title.cursor == 1 then 
		scene = game:init() 
		end
end
end
end

function title:draw()
if title.step == 5 then love.graphics.setColor(255, 255, 255, 255) else love.graphics.setColor(255, 255, 255, title.opac) end
if title.step <= 3 then love.graphics.draw(title.logo[1], 80, 60) end
if title.step >= 4 then love.graphics.draw(title.logo[2], 0, 0) end
if title.step == 5 then
	if title.cursor == 1 then love.graphics.setColor(255, 255, 255, 255) else love.graphics.setColor(255, 255, 255, 122) end
	love.graphics.print("New Game", 600, 50)
	if title.cursor == 2 then love.graphics.setColor(255, 255, 255, 255) else love.graphics.setColor(255, 255, 255, 122) end
	love.graphics.print("Load Game", 600, 70)
	if title.cursor == 3 then love.graphics.setColor(255, 255, 255, 255) else love.graphics.setColor(255, 255, 255, 122) end
	love.graphics.print("Settings", 600, 90)
	if title.cursor == 4 then love.graphics.setColor(255, 255, 255, 255) else love.graphics.setColor(255, 255, 255, 122) end
	love.graphics.print("Quit", 600, 110)		
	love.graphics.setColor(255, 255, 255, 255)
end
if title.step == 6 then
	love.graphics.setColor(255, 255, 255, title.opac)
	love.graphics.print("New Game", 600, 50)
	love.graphics.print("Load Game", 600, 70)
	love.graphics.print("Settings", 600, 90)
	love.graphics.print("Quit", 600, 110)
	love.graphics.setColor(255, 255, 255, 255)
end
end